Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support capture token

POST/support/capture/token
Header parameters
x-pile-capture-public-keystring
x-pile-capture-linkstring
x-pile-capture-referencestring
originstring
Request body
application/json
turnstileTokenstring
Responses
200

Capture token

tokenstringrequired
recordingUrlstringrequired
401

Invalid public key or origin

403

CAPTURE_CHALLENGE_REQUIRED — a Turnstile token is needed

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/support/capture/token' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "turnstileToken": "string"
}'
Response
{
  "token": "string",
  "recordingUrl": "string"
}

Was this page helpful?